This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 879757 - Review Request: ds-backup - for school server
Review Request: ds-backup - for school server
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2012-11-24 00:39 EST by zyu26
Modified: 2016-02-12 14:59 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 zyu26 2012-12-03 22:17:00 EST
I would appreciate that somebody can review this package which need a sponsor and release to Fedora.
Comment 2 jcqiu 2012-12-04 17:11:59 EST
Package Review

==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package installs properly.
     Note: Installation errors (see attachment)
See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Macros in Summary, %description expandable at SRPM build time.
[?]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[?]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     server, %package client
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/zyu26/rpmbuild/SRPMS/review-ds-
     backup/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[!]: Package installs properly.
     Note: Installation errors (see attachment)
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[!]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
     Note: Upstream MD5sum check error, diff is in /home/zyu26/rpmbuild/SRPMS
     /review-ds-backup/diff.txt
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 61440 bytes in 6 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep
[?]: Python eggs must not download any dependencies during the build process.
[?]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
     Note: Buildroot: present but not needed
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[?]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.


===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.



Rpmlint
-------
Checking: ds-backup-client-0.11.5.g536d1d6-3.fc17.noarch.rpm
          ds-backup-0.11.5.g536d1d6-3.fc17.src.rpm
          ds-backup-server-0.11.5.g536d1d6-3.fc17.noarch.rpm
ds-backup-client.noarch: W: no-manual-page-for-binary ds-backup.py
ds-backup-client.noarch: W: no-manual-page-for-binary ds-backup.sh
ds-backup-server.noarch: E: script-without-shebang /var/www/ds-backup/backup-available.py
ds-backup-server.noarch: W: no-manual-page-for-binary ds-postprocess.py
ds-backup-server.noarch: W: no-manual-page-for-binary ds-cleanup.sh
ds-backup-server.noarch: W: no-manual-page-for-binary ds-cleanup.py
3 packages and 0 specfiles checked; 1 errors, 5 warnings.
Comment 3 jcqiu 2012-12-04 17:32:00 EST
rpmbuild --rebuild ds-backup-0.11.5.g536d1d6-3.fc17.src.rpm

......
Requires(post): /bin/sh
Requires: /bin/bash /usr/bin/python
Checking for unpackaged file(s): /usr/lib/rpm/check-files /home/jcqiu/rpmbuild/BUILDROOT/ds-backup-0.11.5.g536d1d6-3.fc17.x86_64
warning: Could not canonicalize hostname: Fedora17
Wrote: /home/jcqiu/rpmbuild/RPMS/noarch/ds-backup-client-0.11.5.g536d1d6-3.fc17.noarch.rpm
Wrote: /home/jcqiu/rpmbuild/RPMS/noarch/ds-backup-server-0.11.5.g536d1d6-3.fc17.noarch.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.ChcoYT
+ umask 022
+ cd /home/jcqiu/rpmbuild/BUILD
+ cd ds-backup-0.11.5.g536d1d6
+ rm -rf /home/jcqiu/rpmbuild/BUILDROOT/ds-backup-0.11.5.g536d1d6-3.fc17.x86_64
+ exit 0
Executing(--clean): /bin/sh -e /var/tmp/rpm-tmp.SxRhM7
+ umask 022
+ cd /home/jcqiu/rpmbuild/BUILD
+ rm -rf ds-backup-0.11.5.g536d1d6
+ exit 0



rpm -i ds-backup-0.11.5.g536d1d6-3.fc17.src.rpm 
warning: user zyu26 does not exist - using root
warning: group zyu26 does not exist - using root
warning: user zyu26 does not exist - using root
warning: group zyu26 does not exist - using root


│   ├── ds-backup-0.11.5.g536d1d6.tar.bz2
│   ├── ds-backup.spec


rpmlint ds-backup.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.



│   │   ├── ds-backup-client-0.11.5.g536d1d6-3.fc17.noarch.rpm
│   │   └── ds-backup-server-0.11.5.g536d1d6-3.fc17.noarch.rpm


rpmlint ds-backup*
ds-backup-client.noarch: W: no-manual-page-for-binary ds-backup.py
ds-backup-client.noarch: W: no-manual-page-for-binary ds-backup.sh
ds-backup-server.noarch: E: script-without-shebang /var/www/ds-backup/backup-available.py
ds-backup-server.noarch: W: no-manual-page-for-binary ds-postprocess.py
ds-backup-server.noarch: W: no-manual-page-for-binary ds-cleanup.sh
ds-backup-server.noarch: W: no-manual-page-for-binary ds-cleanup.py
2 packages and 0 specfiles checked; 1 errors, 5 warnings.
Comment 5 William Moreno 2016-01-06 15:27:44 EST
Do you want to continue this review?

Note You need to log in before you can comment on or make changes to this bug.